Bug 1036491 (CVE-2013-6052)

Summary: CVE-2013-6052 openjpeg: out-of-bounds memory read flaws
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jkurik, phracek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131204,reported=20131126,source=distros,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:N/A:P,fedora-all/openjpeg=affected,fedora-all/mingw-openjpeg=affected,epel-5/openjpeg=affected,rhel-6/openjpeg=affected,rhel-7/openjpeg=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1038409, 1038410, 1038411, 1038415, 1038985, 1038987    
Bug Blocks: 1036502    
Attachments:
Description Flags
proposed patch none

Description Murray McAllister 2013-12-02 01:52:38 EST
Raphael Geissert discovered out-of-bounds memory read flaws in OpenJPEG. If a specially-crafted image were opened by an application linked against OpenJPEG, it could cause the application to crash or lead to information leaks.
Comment 1 Murray McAllister 2013-12-02 02:29:18 EST
Created attachment 831459 [details]
proposed patch
Comment 2 Murray McAllister 2013-12-02 09:03:11 EST
Acknowledgements:

Red Hat would like to thank Raphael Geissert for reporting these issues during a review for EDF.
Comment 3 Murray McAllister 2013-12-05 00:04:11 EST
Created openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1038409]
Comment 4 Murray McAllister 2013-12-05 00:04:24 EST
Created mingw-openjpeg tracking bugs for this issue:

Affects: fedora-all [bug 1038410]
Comment 5 Murray McAllister 2013-12-05 00:11:08 EST
Created openjpeg tracking bugs for this issue:

Affects: epel-5 [bug 1038411]
Comment 8 Fedora Update System 2013-12-14 22:27:18 EST
mingw-openjpeg-1.5.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-14 22:32:47 EST
mingw-openjpeg-1.5.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-12-17 13:42:31 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1850 https://rhn.redhat.com/errata/RHSA-2013-1850.html
Comment 11 Fedora Update System 2014-01-14 03:43:05 EST
openjpeg-1.5.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-01-30 23:29:41 EST
openjpeg-1.5.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.